/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.rich.functionsample.formcheck.bean;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;

/**
 * XML形式チェック用入力クラス
 * 
 */
public class XMLFormCheckInputData implements Serializable {

    /**
     * シリアルバージョンID
     */
    private static final long serialVersionUID = -4986994266081533336L;

    /**
     * java.lang.Characterテスト値
     */
    private Character characterClass = null;

    /**
     * java.lang.Integerテスト値
     */
    private Integer integerClass = null;
    
    /**
     * java.lang.Booleanテスト値
     */
    private Boolean booleanClass = null;
    
    /**
     * java.lang.Byteテスト値
     */
    private Byte byteClass = null;
    
    /**
     * java.lang.Doubleテスト値
     */
    private Double doubleClass = null;
    
    /**
     * java.lang.Longテスト値
     */
    private Long longClass = null;
    
    /**
     * java.lang.Floatテスト値
     */
    private Float floatClass = null;
    
    /**
     * java.lang.Shortテスト値
     */
    private Short shortClass = null;
    
    /**
     * java.util.Dateテスト値
     */
    private Date dateClass = null;
    
    /**
     * java.lang.Stringテスト値
     */
    private String stringClass = null;
    
    /**
     * integerAllowEmptyテスト値
     */
    private Integer integerAllowEmpty = null;
    
    /**
     * java.math.BigDecimalテスト値
     */
    private BigDecimal bigDecimalClass = null;
    
    /**
     * java.lang.String配列テスト値
     */
    private String[] arrayClass = null;
    
    /**
     * java.util.ArrayList配列テスト値
     */
    private ArrayList arrayListClass = null;

    /**
     * booleanClassを取得する。
     * @return booleanClass
     */
    public Boolean getBooleanClass() {
        return booleanClass;
    }

    /**
     * booleanClassを設定する。
     * @param booleanClass booleanClass
     */
    public void setBooleanClass(Boolean booleanClass) {
        this.booleanClass = booleanClass;
    }

    /**
     * byteClassを取得する。
     * @return byteClass
     */
    public Byte getByteClass() {
        return byteClass;
    }

    /**
     * byteClassを設定する。
     * @param byteClass byteClass
     */
    public void setByteClass(Byte byteClass) {
        this.byteClass = byteClass;
    }

    /**
     * characterClassを取得する。
     * @return characterClass
     */
    public Character getCharacterClass() {
        return characterClass;
    }

    /**
     * characterClassを設定する。
     * @param characterClass characterClass
     */
    public void setCharacterClass(Character characterClass) {
        this.characterClass = characterClass;
    }

    /**
     * dateClassを取得する。
     * @return dateClass
     */
    public Date getDateClass() {
        return dateClass;
    }

    /**
     * dateClassを設定する。
     * @param dateClass dateClass
     */
    public void setDateClass(Date dateClass) {
        this.dateClass = dateClass;
    }

    /**
     * doubleClassを取得する。
     * @return doubleClass
     */
    public Double getDoubleClass() {
        return doubleClass;
    }

    /**
     * doubleClassを設定する。
     * @param doubleClass doubleClass
     */
    public void setDoubleClass(Double doubleClass) {
        this.doubleClass = doubleClass;
    }

    /**
     * floatClassを取得する。
     * @return floatClass
     */
    public Float getFloatClass() {
        return floatClass;
    }

    /**
     * floatClassを設定する。
     * @param floatClass floatClass
     */
    public void setFloatClass(Float floatClass) {
        this.floatClass = floatClass;
    }

    /**
     * integerAllowEmptyを取得する。
     * @return integerAllowEmpty
     */
    public Integer getIntegerAllowEmpty() {
        return integerAllowEmpty;
    }

    /**
     * integerAllowEmptyを設定する。
     * @param integerAllowEmpty integerAllowEmpty
     */
    public void setIntegerAllowEmpty(Integer integerAllowEmpty) {
        this.integerAllowEmpty = integerAllowEmpty;
    }

    /**
     * integerClassを取得する。
     * @return integerClass
     */
    public Integer getIntegerClass() {
        return integerClass;
    }

    /**
     * integerClassを設定する。
     * @param integerClass integerClass
     */
    public void setIntegerClass(Integer integerClass) {
        this.integerClass = integerClass;
    }

    /**
     * longClassを取得する。
     * @return longClass
     */
    public Long getLongClass() {
        return longClass;
    }

    /**
     * longClassを設定する。
     * @param longClass longClass
     */
    public void setLongClass(Long longClass) {
        this.longClass = longClass;
    }

    /**
     * shortClassを取得する。
     * @return shortClass
     */
    public Short getShortClass() {
        return shortClass;
    }

    /**
     * shortClassを設定する。
     * @param shortClass shortClass
     */
    public void setShortClass(Short shortClass) {
        this.shortClass = shortClass;
    }

    /**
     * stringClassを取得する。
     * @return stringClass
     */
    public String getStringClass() {
        return stringClass;
    }

    /**
     * stringClassを設定する。
     * @param stringClass stringClass
     */
    public void setStringClass(String stringClass) {
        this.stringClass = stringClass;
    }
    
    /**
     * arrayClassを取得する。
     * @return String配列テスト値
     */
    public String[] getArrayClass() {
        return arrayClass;
    }

    /**
     * arrayClassを設定する。
     * @param arrayClass String配列テスト値
     */
    public void setArrayClass(String[] arrayClass) {
        this.arrayClass = arrayClass;
    }

    /**
     * arrayListClassを取得する。
     * @return arrayListClass配列テスト値
     */
    public ArrayList getArrayListClass() {
        return arrayListClass;
    }

    /**
     * arrayListClassを設定する。
     * @param arrayListClass arrayListClass配列テスト値
     */
    public void setArrayListClass(ArrayList arrayListClass) {
        this.arrayListClass = arrayListClass;
    }
    
    /**
     * bigDecimalClassを取得する。
     * @return bigDecimalClass
     */
    public BigDecimal getBigDecimalClass() {
        return bigDecimalClass;
    }

    /**
     * bigDecimalClassを設定する。
     * @param bigDecimalClass bigDecimalClass
     */
    public void setBigDecimalClass(BigDecimal bigDecimalClass) {
        this.bigDecimalClass = bigDecimalClass;
    }
}
